petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecMax

Determines the vector component with maximum real part and its location.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMax(Vec x,PetscInt *p,PetscReal *val)

Collective on Vec

### Input Parameter

x -the vector

### Output Parameters

| p | - the location of val (pass NULL if you don't want this)
| val | - the maximum component

### Notes

Returns the value PETSC_MIN_REAL and p = -1 if the vector is of length 0.

Returns the smallest index with the maximum value

### See Also

VecNorm(), VecMin()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex72.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex17.c.html

### Implementations

VecMax_MPI in src/vec/vec/impls/mpi/pvec2.c
VecMax_Nest_Recursive in src/vec/vec/impls/nest/vecnest.c
VecMax_Nest in src/vec/vec/impls/nest/vecnest.c
VecMax_Node in src/vec/vec/impls/node/vecnode.c
VecMax_Seq in src/vec/vec/impls/seq/dvec2.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages